<?php

namespace Signteer\Core\Model;

class SignupWithVolunteer
{
    private int $id;
    private int $taskId;
    private Volunteer $volunteer;

    public function __construct(
        int $id,
        int $taskId,
        Volunteer $volunteer
    ) {
        $this->id = $id;
        $this->taskId = $taskId;
        $this->volunteer = $volunteer;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getTaskId(): int
    {
        return $this->taskId;
    }

    public function getVolunteer(): Volunteer
    {
        return $this->volunteer;
    }
}
